authenticationMethodsPolicy リソースの種類

名前空間: microsoft.graph

認証方法と、認証メソッドを使用してサインインし、多要素認証 (MFA) を実行できるユーザーを定義Azure Active Directory (Azure AD)。

メソッド

メソッド 戻り値の種類 説明
Get authenticationMethodsPolicy authenticationMethodsPolicy authenticationMethodsPolicyオブジェクトのプロパティとリレーションシップを読み取る。
AuthenticationMethodsPolicy の更新 authenticationMethodsPolicy authenticationMethodsPolicy オブジェクトのプロパティを更新します。

プロパティ

プロパティ 種類 説明
description String ポリシーの説明。 読み取り専用。
displayName String ポリシーの名前。 読み取り専用。
id String ポリシーの識別子。 エンティティから継承 されます
lastModifiedDateTime DateTimeOffset ポリシーの最後の更新の日付と時刻。 読み取り専用。
policyVersion String 使用されているポリシーのバージョン。 読み取り専用。
registrationEnforcement registrationEnforcement サインイン時に登録を強制します。 このプロパティを使用すると、ユーザーにターゲット認証方法の設定を通知できます。

リレーションシップ

リレーションシップ 説明
authenticationMethodConfigurations authenticationMethodConfiguration コレクション 各認証方法の設定を表します。 GET /policies/authenticationMethodsPolicyに自動的に拡張されます。

JSON 表記

リソースの JSON 表記を次に示します。

{
  "@odata.type": "#microsoft.graph.authenticationMethodsPolicy",
  "id": "String (identifier)",
  "displayName": "String",
  "description": "String",
  "lastModifiedDateTime": "String (timestamp)",
  "policyVersion": "String",
  "registrationEnforcement": {
    "@odata.type": "microsoft.graph.registrationEnforcement"
  } 
}